#-- copyright
#OpenProject is an open source project management software.
#Copyright (C) 2023 Ben Tey
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License version 3.
#OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
#Copyright (C) 2006-2013 Jean-Philippe Lang
#Copyright (C) 2010-2013 the ChiliProject Team
#Copyright (C) the OpenProject GmbH
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#See docs/COPYRIGHT.rdoc for more details.
#++
ru:
  activerecord:
    errors:
      models:
        gitlab_issue:
          attributes:
            labels:
              invalid_schema: "должен быть массив хэшей с помощью ключей: цвет, заголовок"
        gitlab_merge_request:
          attributes:
            labels:
              invalid_schema: "должен представлять собой массив хэшей с ключами: color и title"
  project_module_gitlab: "GitLab"
  permission_show_gitlab_content: "Показать содержимое GitLab"
  gitlab_integration:
    merge_request_opened_comment: >
      **MR Открыт:** Merge request %{mr_number} [%{mr_title}](%{mr_url}) в репозитории [%{repository}](%{repository_url}) открыт пользователем [%{gitlab_user}](%{gitlab_user_url}).
    merge_request_closed_comment: >
      **MR Закрыт:** Merge request %{mr_number} [%{mr_title}](%{mr_url}) в репозитории [%{repository}](%{repository_url}) закрыт пользователем [%{gitlab_user}](%{gitlab_user_url}).
    merge_request_merged_comment: >
      **MR влит:** Merge request %{mr_number} [%{mr_title}](%{mr_url}) в репозитории [%{repository}](%{repository_url}) влит пользователем [%{gitlab_user}](%{gitlab_user_url}).
    merge_request_reopened_comment: >
      **MR Переоткрыт:** Merge request %{mr_number} [%{mr_title}](%{mr_url}) в репозитории [%{repository}](%{repository_url}) открыт заново пользователем [%{gitlab_user}](%{gitlab_user_url}).
    note_commit_referenced_comment: >
      **Упоминание в коммите:** [%{gitlab_user}](%{gitlab_user_url}) упомянул этот РП в комментарии к коммиту [%{commit_id}](%{commit_url}) в репозитории [%{repository}](%{repository_url}): %{commit_note}
    note_mr_referenced_comment: >
      **Упоминание в MR:** [%{gitlab_user}](%{gitlab_user_url}) упомянут в этом РП в Merge Request %{mr_number} [%{mr_title}](%{mr_url}) в репозитории [%{repository}](%{repository_url}): %{mr_note}
    note_mr_commented_comment: >
      **Комментарий в MR:** [%{gitlab_user}](%{gitlab_user_url}) оставил комментарий в РП в Merge Request %{mr_number} [%{mr_title}](%{mr_url}) в репозитории [%{repository}](%{repository_url}): %{mr_note}
    note_issue_referenced_comment: >
      **Упоминание в проблеме:** [%{gitlab_user}](%{gitlab_user_url}) упомянут в этом РП в проблеме %{issue_number} [%{issue_title}](%{issue_url}) в репозитории [%{repository}](%{repository_url}): %{issue_note}
    note_issue_commented_comment: >
      **Комментарий в проблеме:** [%{gitlab_user}](%{gitlab_user_url}) прокомментировал этот РП в проблеме %{issue_number} [%{issue_title}](%{issue_url}) в репозитории [%{repository}](%{repository_url}): %{issue_note}
    note_snippet_referenced_comment: >
      **Ссылка в сниппете:** [%{gitlab_user}](%{gitlab_user_url}) ссылается на этот WP в сниппете %{snippet_number} [%{snippet_title}](%{snippet_url}) на [%{repository}](%{repository_url}): %{snippet_note}
    issue_opened_referenced_comment: >
      **Проблема открыта:** Проблема %{issue_number} [%{issue_title}](%{issue_url}) в репозитории [%{repository}](%{repository_url}) открыта пользователем [%{gitlab_user}](%{gitlab_user_url}).
    issue_closed_referenced_comment: >
      **Проблема закрыта:** Проблема %{issue_number} [%{issue_title}](%{issue_url}) в репозитории [%{repository}](%{repository_url}) закрыта пользователем [%{gitlab_user}](%{gitlab_user_url}).
    issue_reopened_referenced_comment: >
      **Проблема открыта заново:** Проблема %{issue_number} [%{issue_title}](%{issue_url}) в репозитории [%{repository}](%{repository_url}) открыта заново пользователем [%{gitlab_user}](%{gitlab_user_url}).
    push_single_commit_comment: >
      **Отправлено в MR:** [%{gitlab_user}](%{gitlab_user_url}) отправил [%{commit_number}](%{commit_url}) в [%{repository}](%{repository_url}) в %{commit_timestamp}: %{commit_note}
    push_single_commit_comment_with_ref: >
      **Отправлено в %{reference}:** [%{gitlab_user}](%{gitlab_user_url}) отправил [%{commit_number}](%{commit_url}) в [%{repository}](%{repository_url}) в %{commit_timestamp}: %{commit_note}
    push_multiple_commits_comment: >
      **Отправлено в MR:** [%{gitlab_user}](%{gitlab_user_url}) отправил несколько коммитов [%{commit_number}](%{commit_url}) в [%{repository}](%{repository_url}) в %{commit_timestamp}: %{commit_note}
